DOMDocument
DOMDocument::createAttribute
DOMDocument
PHP Manual

# DOMDocument::__construct

(PHP 5, PHP 7)

DOMDocument::__construct — Creates a new DOMDocument object

### Description

public DOMDocument::__construct ([ string `$version` [, string `$encoding` ]] )

Creates a new DOMDocument object.

### Parameters

`version`

  The version number of the document as part of the XML declaration.

`encoding`

  The encoding of the document as part of the XML declaration.

### Examples

Example #1 Creating a new DOMDocument

`<?php
$dom = new DOMDocument('1.0', 'iso-8859-1');
echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?> */
?>`

### See Also

- DOMImplementation::createDocument() - Creates a DOMDocument object of the specified type with its document element

DOMDocument
DOMDocument::createAttribute
DOMDocument
PHP Manual